<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH 
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="";
$not_access=1;
$granted="A";
$pagename="admin/xml_savetagmode.php";
$isScript=true;
$isPortal=false;

//includes
require_once('includes.php');
require_once('../includes/tags_tools.inc.php');
require_once('../db_layer/'.__DBTYPE.'/admin.php');
require_once('../includes/xml.inc.php');

$mode = (isset($_GET["mode"])) ? $_GET["mode"] : false;
$tagObj = new poshtags($DB);

//control that the current administrator has access to the script
$grantedCalls = array("configstab");
require('adm_ctrl_access.php');

$file=new xmlFile();

$file->header("updateModeTag");

$chk = $tagObj->updateModeTag($mode);
echo "<mode>$chk</mode>";

$file->footer("updateModeTag");
?>